MGASA-2021-0287 - Updated samba and ldb packages fix security vulnerabilities

Publication date: 25 Jun 2021
URL: https://advisories.mageia.org/MGASA-2021-0287.html
Type: security
Affected Mageia releases: 7, 8
CVE: CVE-2020-27840,
     CVE-2021-20254,
     CVE-2021-20277

A flaw was found in samba. Spaces used in a string around a domain name (DN),
while supposed to be ignored, can cause invalid DN strings with spaces to
instead write a zero-byte into out-of-bounds memory, resulting in a crash.
The highest threat from this vulnerability is to system availability
(CVE-2020-27840).

A flaw was found in samba. The Samba smbd file server must map Windows group
identities (SIDs) into unix group ids (gids). The code that performs this had
a flaw that could allow it to read data beyond the end of the array in the
case where a negative cache entry had been added to the mapping cache. This
could cause the calling code to return those values into the process token
that stores the group membership for a user. The highest threat from this
vulnerability is to data confidentiality and integrity (CVE-2021-20254).

A flaw was found in Samba's libldb. Multiple, consecutive leading spaces in
an LDAP attribute can lead to an out-of-bounds memory write, leading to a
crash of the LDAP server process handling the request. The highest threat
from this vulnerability is to system availability (CVE-2021-20277).

Also, the samba package for Mageia 7 fixes a scriplet issue when updating.

Additionally, the sssd package has been rebuilt for the updated ldb package.

References:
- https://bugs.mageia.org/show_bug.cgi?id=28686
- https://bugs.mageia.org/show_bug.cgi?id=28042
- https://www.samba.org/samba/security/CVE-2020-27840.html
- https://www.samba.org/samba/security/CVE-2021-20277.html
- https://www.samba.org/samba/security/CVE-2021-20254.html
- https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-27840
- https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-20254
- https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-20277

SRPMS:
- 8/core/ldb-2.1.5-1.mga8
- 8/core/samba-4.12.15-1.mga8
- 8/core/sssd-2.4.0-1.1.mga8
- 7/core/ldb-1.5.8-1.1.mga7
- 7/core/samba-4.10.18-1.3.mga7
- 7/core/sssd-1.16.3-3.3.mga7